# Uses of Class
org.eclipse.jdt.core.dom.ModulePackageAccess

Packages that use ModulePackageAccess
Package
Description
org.eclipse.jdt.core.dom
The Java DOM/AST is the set of classes that model the source code of a Java program as a structured document.

## Uses of ModulePackageAccess in org.eclipse.jdt.core.dom

Subclasses of ModulePackageAccess in org.eclipse.jdt.core.dom
Modifier and Type
Class
Description
`class`
`ExportsDirective`
Exports directive AST node type (added in JLS9 API).
`class`
`OpensDirective`
Opens directive AST node type (added in JLS9 API).
Methods in org.eclipse.jdt.core.dom with parameters of type ModulePackageAccess
Modifier and Type
Method
Description
`protected ASTNode`
ModulePackageAccess.`cloneHelper(AST target, ModulePackageAccess result)`